X509_OCSPID_PRINT(3)

NAME
X509_ocspid_print - pretty-print hashes of subject name and public key

SYNOPSIS
libcrypto
#include <openssl/x509.h>
int
X509_ocspid_print(BIO *bio, X509 *issuer);

DESCRIPTION
X509_ocspid_print() produces human-readable output to bio containing hexadecimal representations of SHA-1 hashes of the DER-encoded forms of the subject name and the public key of the issuer certificate, as these hashes appear in OCSP requests.

RETURN VALUES
X509_ocspid_print() returns 1 for success or 0 for failure.

EXAMPLES
This function is used by the -ocspid flag of the openssl(1) x509 command.

SEE ALSO
EVP_sha1(3), i2d_X509_NAME(3), OCSP_cert_to_id(3), OCSP_REQUEST_new(3), X509_get_pubkey(3), X509_get_subject_name(3)

HISTORY
X509_ocspid_print() first appeared in OpenSSL 0.9.7 and has been available since OpenBSD 3.2.